Imports DevExpress.ExpressApp.Model
Imports DevExpress.ExpressApp.Editors
Imports DevExpress.ExpressApp.Win.Editors
Imports DevExpress.ExpressApp.Win.Core.ModelEditor
Imports DevExpress.XtraEditors


<PropertyEditor(GetType([String]), False)> _
Public Class FieldPickerPropertyEditor
    Inherits DXPropertyEditor
    Public Sub New(type As Type, model As IModelMemberViewItem)
        MyBase.New(type, model)
    End Sub
    Protected Overrides Function CreateControlCore() As Object
        Dim control As New FieldPicker()
        control.Properties.ClassType = Me.ObjectType
        Return control
    End Function
End Class
<PropertyEditor(GetType([String]), False)> _
Public Class FieldPickerPropertyEditorContacts
    Inherits DXPropertyEditor
    Public Sub New(type As Type, model As IModelMemberViewItem)
        MyBase.New(type, model)
    End Sub
    Protected Overrides Function CreateControlCore() As Object
        Dim control As New FieldPicker()
        control.Properties.ClassType = GetType(Contacts)
        Return control
    End Function
End Class
<PropertyEditor(GetType([String]), False)> _
Public Class FieldPickerPropertyEditorContract
    Inherits DXPropertyEditor
    Public Sub New(type As Type, model As IModelMemberViewItem)
        MyBase.New(type, model)
    End Sub
    Protected Overrides Function CreateControlCore() As Object
        Dim control As New FieldPicker()
        control.Properties.ClassType = GetType(Contracts)
        Return control
    End Function
End Class
<PropertyEditor(GetType([String]), False)> _
Public Class FieldPickerPropertyEditorAPCShettByProducts
    Inherits DXPropertyEditor
    Public Sub New(type As Type, model As IModelMemberViewItem)
        MyBase.New(type, model)
    End Sub
    Protected Overrides Function CreateControlCore() As Object
        Dim control As New FieldPicker()
        control.Properties.ClassType = GetType(APCSheetByProducts)
        Return control
    End Function
End Class

